Bug 164574 - nfs/rsync caching problems
nfs/rsync caching problems
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
Depends On:
Blocks: 170445
  Show dependency treegraph
Reported: 2005-07-28 16:18 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-04 12:04:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2005-07-28 16:18:40 EDT
Escalated to Bugzilla from IssueTracker
Comment 15 Steve Dickson 2005-11-04 12:04:45 EST
Using the standalone versions of the LLNL nfs regression tests
(in bug 159994) I tried to verify that these patches would help with
any cache consistency issue in RHEL3 U6.

What I found was "right out of the box" U6 passed all the LLNL
regression test. Then when I added the nfs-cto-lookup-revalidate.patch  
and pathname-retry.patch (which are a backport of how 2.6 handles ESTALE
errors) one of the regression tests (nfs_name_test) started to fail with
ESTALES... which is an obvious regression of where U6 is today...

So I'm going to close this bug as NOTABUG until a reproducer
comes along and proves that thats patches are needed. 
Comment 16 Ernie Petrides 2005-11-04 14:49:14 EST
SteveD switched the disposition to WONTFIX just afterwards.

Note You need to log in before you can comment on or make changes to this bug.